"use strict";
{
  const SDK = self.SDK;
  const BEHAVIOR_ID = "Rex_mode7perspective";
  const BEHAVIOR_VERSION = "1.0.0.2";
  const BEHAVIOR_CATEGORY = "other";

  const BEHAVIOR_CLASS =
    (SDK.Behaviors.Rex_mode7perspective = class Rex_mode7perspectiveBehavior extends (
      SDK.IBehaviorBase
    ) {
      constructor() {
        super(BEHAVIOR_ID);

        SDK.Lang.PushContext("behaviors." + BEHAVIOR_ID.toLowerCase());

        this._info.SetName(lang(".name"));
        this._info.SetDescription(lang(".description"));
        this._info.SetVersion(BEHAVIOR_VERSION);
        this._info.SetCategory(BEHAVIOR_CATEGORY);
        this._info.SetAuthor("Rex");
        this._info.SetHelpUrl(lang(".help-url"));
        this._info.SetIsOnlyOneAllowed(true);

        this._info.SetSupportedRuntimes(["c2", "c3"]);

        SDK.Lang.PushContext(".properties");

        this._info.SetProperties([
          new SDK.PluginProperty("float", "Logic X", 0),
          new SDK.PluginProperty("float", "Logic Y", 0),
        ]);

        SDK.Lang.PopContext(); //.properties
        SDK.Lang.PopContext();
      }
    });

  BEHAVIOR_CLASS.Register(BEHAVIOR_ID, BEHAVIOR_CLASS);
}
